VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Simultaneous Keys Demo"
   ClientHeight    =   3135
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3135
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.Label lblMsg 
      AutoSize        =   -1  'True
      Caption         =   "Press the arrows keys at the same time"
      Height          =   195
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   2745
   End
   Begin VB.Label lblKeys 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      ForeColor       =   &H80000008&
      Height          =   2655
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'This vector contains the state of all keys
'I think KeyCode goes from 0 to 255, but you
'can change this if you want
Dim Keys(255) As Boolean

'Its used to stop the Do-Loop of the Form_Load
Dim StopLoop As Boolean

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
   'The key KeyCode is pressed now...
   Keys(KeyCode) = True
End Sub

Private Sub Form_KeyUp(KeyCode As Integer, Shift As Integer)
   'The key KeyCode is NOT pressed now...
   Keys(KeyCode) = False
End Sub

Private Sub Form_Load()
   Dim str As String
   
   Me.Show
   
   'The form must handle the key events
   Me.KeyPreview = True
   
   StopLoop = False
   
   Do
      'Just check for the arrow keys to see
      'if they are pressed. To check form more
      'keys, just ask for the correct subindex
      'in the "Keys" array
      str = ""
       
      If Keys(vbKeyUp) Then str = str + "UP" & vbCrLf
      If Keys(vbKeyDown) Then str = str + "DOWN" & vbCrLf
      If Keys(vbKeyLeft) Then str = str + "LEFT" & vbCrLf
      If Keys(vbKeyRight) Then str = str + "RIGHT" & vbCrLf
      
      'Refresh the label
      lblKeys = str
      
      'Important!! (to not freeze the thing)
      DoEvents
   Loop Until StopLoop
End Sub

Private Sub Form_Unload(Cancel As Integer)
   'Important!! To stop the loop, so the
   'form can be unloaded
   StopLoop = True
End Sub


